Mailing List Archive

[PATCH 26/28] distutils-r1.eclass: Remove old FreeBSD compat hack
Signed-off-by: Micha? Górny <mgorny@gentoo.org>
---
eclass/distutils-r1.eclass | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index e74a68007179..a46b71431e48 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -711,8 +711,8 @@ _distutils-r1_create_setup_cfg() {
# egg-info.
_distutils-r1_copy_egg_info() {
mkdir -p "${BUILD_DIR}" || die
- # stupid freebsd can't do 'cp -t ${BUILD_DIR} {} +'
- find -name '*.egg-info' -type d -exec cp -R -p {} "${BUILD_DIR}"/ ';' || die
+ find -name '*.egg-info' -type d \
+ -exec cp -R -p -t "${BUILD_DIR}"/ {} + || die
}

# @FUNCTION: distutils-r1_python_compile
--
2.32.0
Re: [PATCH 26/28] distutils-r1.eclass: Remove old FreeBSD compat hack [ In reply to ]
On Sun, 2021-06-20 at 11:55 +0200, Micha? Górny wrote:
> Signed-off-by: Micha? Górny <mgorny@gentoo.org>
> ---
> eclass/distutils-r1.eclass | 4 ++--
> 1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
> index e74a68007179..a46b71431e48 100644
> --- a/eclass/distutils-r1.eclass
> +++ b/eclass/distutils-r1.eclass
> @@ -711,8 +711,8 @@ _distutils-r1_create_setup_cfg() {
> # egg-info.
> _distutils-r1_copy_egg_info() {
> mkdir -p "${BUILD_DIR}" || die
> - # stupid freebsd can't do 'cp -t ${BUILD_DIR} {} +'
> - find -name '*.egg-info' -type d -exec cp -R -p {} "${BUILD_DIR}"/ ';' || die
> + find -name '*.egg-info' -type d \
> + -exec cp -R -p -t "${BUILD_DIR}"/ {} + || die
> }
>
> # @FUNCTION: distutils-r1_python_compile

Retracting this one for now, as it causes failures due to 'is the same
file' copy errors with in-source builds. Need to revisit it later
and fix the underlying issue properly.

--
Best regards,
Micha? Górny